Ondersteunde platforms voor AEM Forms op JEE supported-platforms-for-aem-forms-on-jee

Ondersteunde platforms supported-platforms

recommendation-more-help

De Adobe heeft a volledige installateurmet AEM 6.5 Forms Service Pack 18 (6.5.18.0) op JEE samen met de flardinstallateurs vrijgegeven. Het volledige installatieprogramma ondersteunt nieuwe platforms, terwijl het installatieprogramma van de patch alleen foutoplossingen bevat.
Als u een nieuwe installatie uitvoert of van plan bent om recentste software voor uw AEM 6.5 Forms op milieu te gebruiken JEE, adviseert de Adobe gebruikend AEM 6.5.18.0 Forms op volledig installatieprogramma JEEvrijgegeven op 31 augustus 2023 in plaats van AEM 6.5 Forms installateur op 08 April 2019 of AEM 6.5.12Instant. afgegeven op 3 maart 2022.

Ondersteuningsniveaus support-levels

AEM Forms on JEE-server kan worden ingesteld met elke combinatie van ondersteunde besturingssystemen, toepassingsservers, databases, databasestuurprogramma's, JDK, LDAP-servers en e-mailservers.

In dit document worden de ondersteunde client- en serverplatforms voor AEM Forms op JEE vermeld. Adobe biedt verschillende supportniveaus, zowel voor Adobe aanbevolen configuraties als voor andere configuraties. In het document worden ook andere ondersteunde software en de bijbehorende versie, uitzonderingen, patchdefinities en het ondersteuningsbeleid voor softwarepatches van derden vermeld.

NOTE
  • Voor een volledige lijst van uitzonderingen aan gesteunde serverplatforms, zie Uitzonderingen aan gesteunde serverplatforms.
  • AEM Forms on JEE biedt alleen ondersteuning voor Engelse, Franse, Duitse en Japanse versies van de ondersteunde besturingssystemen en toepassingen.

Beleid voor upgrades en ondersteuning

Volledig installatieprogramma

  • Steun van de Verbetering voor volledige installateurs: Een volledige installateur wordt vrijgegeven met elke zesde Versie van het Pak van de AEM. Er is bijvoorbeeld een volledig installatieprogramma uitgebracht met 6.5.12.0 en 6.5.18.0 SP-releases. AEM Forms staat rechtstreekse upgrades uitsluitend toe vanaf de laatste twee volledige installatieprogramma's. AEM Forms maakt bijvoorbeeld alleen directe upgrades naar versie 6.5.18.0 mogelijk vanaf de laatste twee volledige installatieprogramma's, namelijk 6.5.12.0 en 6.5.6.0. Als u van een vroegere verbetering moet bevorderen, kunt u een multi-hop verbetering gebruiken om eerst naar een gesteunde volledige installateursversie en dan aan de recentste versie te gaan.

  • Verdringing en Verwijdering: De platformsteun wordt bijgewerkt met elke volledige installateursversie. Alle software die tijdens een volledige installateursrelease in de platformmatrix is afgekeurd, mag in een volgende volledige installateursrelease uit de ondersteunde platformmatrix worden verwijderd, wat het einde van de ondersteuning voor de software aangeeft.

Servicepacks

  • Coverage van het Pak van de Dienst: De Adobe verleent technische steun voor de milieu's van AEM Forms gebruikend om het even welke recentste zes de dienstpakken. Als uw huidige versie de laatste zes de dienstpakken voorafgaat, adviseert de Adobe sterk bevordering aan de recentste versie voor optimale prestaties, veiligheid, en ononderbroken steun.

  • {de Richtlijnen van de Installateur van het 0} Patch : Terwijl het gebruiken van de flardinstallateurs om bij te werken, is het cruciaal om te verifiëren dat de onderliggende volledige installateursversie niet meer dan twee oude versies is. Zorg er bijvoorbeeld tijdens de installatie van servicepack 6.5.19.0 voor dat de onderliggende versie van het volledige installatieprogramma 6.5.18.0 of 6.5.12.0 is.

  • Steun van de Verbetering van het Patch: U kunt blijven bevordering aan het recentste de dienstpak, tot u aan de meest recente gesteunde platforms ook bevordert. Bijvoorbeeld, is het bevorderen van de dienstpak 6.5.12.0 aan 6.5.19.0 mogelijk, op voorwaarde dat u naar een platformcombinatie overgaat die voor 6.5.19.0 wordt gesteund.

Aanbevolen configuraties recommendedconfigurations

Adobe raadt deze configuraties aan en biedt volledige of beperkte ondersteuning als onderdeel van de standaard overeenkomst voor softwareonderhoud:

Ondersteuningsniveau
Beschrijving
A: Ondersteund
Adobe biedt volledige ondersteuning en onderhoud voor deze configuratie. Deze configuratie valt onder het kwaliteitsborgingsproces van de Adobe.
R: Beperkte ondersteuning
Adobe verleent volledige steun voor deze configuratie nadat bepaalde eerste vereisten worden voldaan. Neem contact op met de Enterprise Support van de Adobe voor meer informatie over de voorwaarden en vraag om ondersteuning.
L: Beperkte ondersteuning
Adobe biedt volledige ondersteuning en onderhoud voor deze configuratie nadat aan bepaalde voorwaarden is voldaan. Niet zijn alle mogelijkheden beschikbaar op de configuratie. De ondernemingssteun van de Adobe van het contact om over de eerste vereisten te leren en een verzoek om de steun op te heffen.

Niet-ondersteunde configuraties unsupported-configurations

Ondersteuningsniveau
Beschrijving
E: Naar verwachting werken
De configuratie zal naar verwachting werken en er zijn geen meldingen van het tegendeel.
Z: Niet ondersteund
De configuratie wordt niet ondersteund. Adobe legt geen verklaringen over of de configuratie werkt, en steunt het niet.
NOTE
Om klanten van AEM Forms te helpen de kosten van eigendom verminderen, de plaatsingsarchitectuur vereenvoudigen, en de ontwikkelingsstapel moderniseren, beweegt het ondernemingsplatform van Adobe Experience Manager zich van op toepassingsserver-gebaseerde plaatsingen in de plaats van op standalone op OSGi-Gebaseerde plaatsingen. Adobe blijft de AEM Forms JEE-stack met een beperkte matrix van infrastructuurcomponenten ondersteunen.
Met de versie van 6.5, worden de infrastructuurcomponenten die het laagste gebruik onder Adobe klanten hebben niet meer gesteund, als volgt:
  • IBM® DB2® database
  • Besturingssystemen van IBM® AIX® en Sun Solaris™
Voor nieuwe installaties, waar mogelijk, wordt geadviseerd om AEM Forms op de moderne OSGi stapel op te stellen om de recentste innovaties rond ontvankelijke Adaptive Forms voor mobiele, multi-kanaals Interactieve Mededelingen, en backendgegevensintegratie te gebruiken gebruikend het Model van de Gegevens van de Vorm.
Adobe erkent dat bestaande gebruikers AEM Forms moeten blijven implementeren in JEE-stack. In dergelijke scenario's, vereist de Adobe de plaatsing van AEM Forms JEE op gesteunde infrastructuur zoals die in deze documentatie wordt beschreven. Als u een upgrade uitvoert naar AEM 6.5 Forms en een niet-ondersteund platform gebruikt in de vorige AEM Forms-release, kunt u contact opnemen met Adobe Support voor hulp bij de upgrade naar een ondersteund platform.

Java™ Virtual Machines (JVM) java-virtual-machines-jvm

Adobe Experience Manager Forms vereist dat een Java™ Virtual Machine wordt uitgevoerd, die wordt geleverd door de JDK-distributie (Java™ Development Kit). Adobe Experience Manager werkt met de volgende versies van Java™ Virtual Machines:

Platform
Ondersteuningsniveau
Ondersteunde patchdefinities
Oracle Java™ SE 11 (64-bits) [8]
A: Ondersteund
Kleine releases en updates
Azul Zulu OpenJDK 11 - 64 bits
Z: Niet ondersteund
Azul Zulu OpenJDK 8 - 64 bits
Z: Niet ondersteund
Oracle Java™ SE 8 (64-bits)
A: Ondersteund
Kleine releases en updates
IBM® J9 Virtual Machine (build 2.9, JRE 1.8.0) IBM® JDK SR6-FP26
A: Ondersteund
Kleine releases en updates
IBM® JAVA1.8.0_291(build 8.0.6.30)
A: Ondersteund
Kleine releases en updates
NOTE
  • Volg de beveiligingsbulletins van de Java™-leverancier om de veiligheid en beveiliging van productieomgevingen te garanderen en installeer de nieuwste Java™-updates.
  • AEM Forms on JEE ondersteunt alleen 64-bits JVM's in productieomgevingen.

Databases en CRX-persistentie databases-and-crx-persistence

Platform
Beschrijving
Ondersteuningsniveau
Bestandssysteem
Repository Microkernel (TAR MK-bestanden)
Ondersteund
MongoDB Enterprise 5.0
Repository Microkernel
Ondersteund
MongoDB Enterprise 6.0
Repository Microkernel
Ondersteund
Database 19c van oracles (Standard, Real Application Clusters (RAC) en Enterprise-edities)
Repository Microkernal
Ondersteund
Repository Microkernel
Ondersteund
Microsoft® SQL Server 2019
Repository Microkernel
Ondersteund
IBM® DB2® 11.1 (Afgekeurd)
Repository Microkernel
R: Beperkte ondersteuning
MySQL 8.0.27
-
R: Beperkte ondersteuning
  • IBM® DB2® wordt niet ondersteund voor nieuwe installaties. Deze wordt alleen ondersteund voor bestaande klanten die een upgrade uitvoeren naar AEM 6.5 Forms.
  • MongoDB is software van derden en is niet opgenomen in het AEM licentiepakket. Voor meer informatie, zie MongoDB het verlenen van vergunningen beleid.
  • Om optimaal gebruik te kunnen maken van uw AEM, raadt Adobe u aan een licentie te verlenen voor de MongoDB Enterprise-versie, zodat u kunt profiteren van professionele ondersteuning.
  • De Klantenservice van de Adobe helpt kwalificerende problemen met betrekking tot het gebruik van MongoDB met AEM. Voor meer informatie, zie MongoDB voor de pagina van Adobe Experience Manager.
  • 'Bestandssysteem' omvat blokopslag die voldoet aan POSIX. Dit omvat netwerkopslagtechnologie. Houd er rekening mee dat de prestaties van het bestandssysteem kunnen variëren en van invloed zijn op de algehele prestaties. U wordt aangeraden AEM te laden met het netwerk of externe bestandssysteem.
  • Alleen MongoDB Storage Engine WiredTiger wordt ondersteund.
  • Delen via MongoDB wordt niet ondersteund in AEM.
  • AEM Forms op JEE biedt geen ondersteuning voor MySQL voor RDBMK-persistentie.
  • De module Documentbeveiliging maakt geen gebruik van Inhoudsopslagruimte. Dit houdt in dat als u alleen Documentbeveiliging gebruikt en niet van plan bent HTML Workspace, HTML5-formulieren of adaptieve formulieren te gebruiken, u geen opslagplaats voor inhoud hoeft te installeren.
  • AEM Forms op JEE biedt geen ondersteuning voor het gebruik van MySQL voor het AEM Repository (CRX-Repository).

Databasestuurprogramma's database-drivers

Database
Platform
Ondersteunde patchdefinities
MySQL

MySQL Connector/J 5.7

mysql-connector-java-5.1.44-bin.jar(versie 5.1.44)

Wordt geleverd bij AEM Forms op JEE-installatie
Microsoft® SQL Server

Microsoft® SQL Server JDBC stuurprogramma 8.2.2

sqljdbc8.jar

Downloaden vanaf Microsoft®-website.
Oracle

JDBC-stuurprogramma voor oracle Database 19.3.0.0.0

ojdbc8.jar (versie 19.3.0.0.0)

De download van Website van het Oracle.

Toepassingsservers application-servers

Platform
Ondersteuningsniveau
Ondersteunde patchdefinities
Oracle WebLogic Server 12.2.1 (12c R2) (Vervangen) [9]
A: Ondersteund
Servicepack en kritieke updates
Oracle WebLogic Server 14c [9]
A: Ondersteund
Servicepack en kritieke updates
IBM® WebSphere® Application Server 9.0.0.10 [1] [4]
A: Ondersteund
Servicepack en kritieke updates
JBoss® Enterprise Application Platform (EAP) 7.4 [2] [3] [7]
A: Ondersteund
Patches en cumulatieve patches voor de ondersteunde EAP-versie
NOTE
IBM® WebSphere®-clusters worden alleen ondersteund in Network Deployment-edities.

Serverbesturingssystemen server-operating-systems

Productieomgevingen production-environments

Platform
Ondersteuningsniveau
Ondersteunde patchdefinities
Microsoft® Windows Server 2019 (64-bits) (afgekeurd)
A: Ondersteund
Servicepacks en kritieke updates
Microsoft® Windows Server 2022 (64-bits)
A: Ondersteund
Servicepacks en kritieke updates
Ubuntu 20,04
A: Ondersteund
Servicepacks en kritieke updates
Red Hat® Enterprise Linux® 8 (Kernel 4.x) (64-bits)
A: Ondersteund
Kleine releases, cumulatieve updates en kritieke updates
Red Hat® Enterprise Linux® 7 (Kernel 3.x) (64-bits) (afgekeurd)
A: Ondersteund
Kleine releases, cumulatieve updates en kritieke updates
SUSE® Linux® Enterprise Server 12 (64-bits)
A: Ondersteund
Servicepacks, cumulatieve patches en kritieke beveiligingsupdates
Oracle Linux® 7 Update 3 (64-bits)
A: Ondersteund
Servicepacks, cumulatieve patches en kritieke beveiligingsupdates
CentOS 7 (met 64 bits) [6]
A: Ondersteund
Servicepacks, cumulatieve patches en kritieke beveiligingsupdates

Gevirtualiseerde omgeving virtualized-environment

U kunt AEM Forms op JEE op een fysieke machine of een virtuele omgeving uitvoeren. Als u echter een probleem tegenkomt met AEM Forms in een virtuele omgeving, probeert u het probleem te repliceren op een fysieke computer. Neem contact op met de Adobe Support voor een oplossing als het probleem zich blijft voordoen op de fysieke computer. Voor de problemen die u niet op een fysieke machine kunt repliceren, contacteer uw virtuele milieuverkoper.

Ontwikkelomgevingen development-environments

Platform (basisversie)
Ondersteuningsniveau
Ondersteunde patchdefinities
Microsoft® Windows® 10 64-bits
E: Naar verwachting werken
Servicepack en kritieke updates

Uitzonderingen op ondersteunde serverplatforms exceptions-to-supported-server-platforms

Houd rekening met de volgende uitzonderingen wanneer u een platform kiest voor het instellen van uw AEM Forms op de JEE-server.

  1. AEM Forms on JEE biedt geen ondersteuning voor IBM® WebSphere® met MySQL.
  2. AEM Forms op JEE biedt geen ondersteuning voor en JBoss® op SUSE® Linux® Enterprise Server 12. Alleen IBM® WebSphere® wordt ondersteund op SUSE® Linux® Enterprise Server 12.
  3. AEM Forms op JEE biedt geen ondersteuning voor JDK met JBoss® anders dan Oracle Java™ SE.
  4. AEM Forms on JEE biedt geen ondersteuning voor JDK met IBM® WebSphere®, behalve IBM® JDK.
  5. CRX-repository ondersteunt persistentie van het type TarMK, MongoDB en relationele databases (RDBMK). U kunt geen twee verschillende databasesystemen hebben tussen de toepassingsserver en de CRX-opslagplaats. Op een AEM Forms op JEE-omgeving kunt u echter MongoMK gebruiken met CRX-repository en een ondersteunde relationele database met toepassingsserver.
  6. AEM Forms op JEE biedt geen ondersteuning voor WebSphere®-toepassingsserver op CentOS.
  7. AEM Forms on JEE biedt geen ondersteuning voor JBoss® op rollen gebaseerde toegangsbeheer (RBAC).
  8. AEM Forms on JEE biedt alleen ondersteuning voor Oracle Java™ SE 11 (64-bits) SDK voor de toepassingsserver JBoss® EAP 7.4.
  9. JDK-versies hoger dan 1.8.0_281 worden niet ondersteund voor WebLogic-server. (FORMS-8498)
  10. JDK 11.0.20 wordt niet ondersteund voor de installatie van AEM Forms op JEE Installer. Alleen JDK 11.0.19 of eerdere versies worden ondersteund voor de installatie van AEM Forms op JEE Installer.

Houd rekening met de volgende punten wanneer u software kiest voor de Adobe van AEM Forms bij JEE-implementaties:

  • AEM Forms on JEE ondersteunt updates, patches en repareert pakketten boven op de opgegeven primaire en secundaire versie van ondersteunde software. Bijwerken naar de volgende hoofd- of subversie wordt echter alleen ondersteund als dit is opgegeven.
  • Clustergebaseerde installaties ondersteunen TarMK-persistentie niet. Voor informatie over gesteunde persistentie, zie het Kiezen van een persistentietype voor een installatie van AEM Forms.
  • AEM Forms op JEE steunt diverse derdesoftware zoals per Adobe het Beleid van de de softwaresteun van de Derde.
  • AEM Forms on JEE biedt ondersteuning voor platforms die overeenkomen met de ondersteuning van externe leveranciers. Sommige combinaties zijn mogelijk niet toegestaan door externe leveranciers. Veel leveranciers hebben hun toepassingsservers bijvoorbeeld niet met Oracle gecertificeerd. Als gevolg hiervan biedt AEM Forms op JEE ook geen ondersteuning voor deze combinaties. Om ervoor te zorgen dat u de gesteunde softwareversies kiest, controleer de steunmatrijs ook voor de derdeverkopers.
  • AEM Forms op JEE ondersteunt TarMK Cold Standby niet.
  • AEM Forms op JEE biedt geen ondersteuning voor verticale clustering.
  • AEM Forms on JEE biedt geen ondersteuning voor MySQL-database in een geclusterde omgeving.
  • Voor de lijst van verwijderde of bijgewerkte platforms, zie AEM 6.5 het document van de Nieuwe Eigenschap van Forms.

LDAP-servers (optioneel) ldap-servers-optional

Product (basisversie)
Ondersteunde patchdefinities
Microsoft® Active Directory 2016 (afgekeurd)
Onderhoudsrelease en -reparatiepakketten
Microsoft® Active Directory 2022
Onderhoudsrelease en -reparatiepakketten
IBM® Tivoli Directory Server 6.4
Functiepakketten en tussentijdse correcties

E-mailservers (optioneel) email-servers-optional

Product
Microsoft® Exchange 2013
Microsoft® Office 365

Inhoudsmanagers en bijbehorende connectors content-managers-and-corresponding-connectors

Product
Versie
EMC Documentum®
7,3
IBM® FileNet
5.5.2.
IBM® Content Manager Server (afgekeurd)
8.5 Fix pack 2
IBM® Content Manager Client (afgekeurd)
8,5
Microsoft® Sharepoint
2019

Steun voor Cordova support-for-cordova

AEM Forms App ondersteunt nu de Apache Cordova. Hier volgen de platformspecifieke versies van Cordova die worden ondersteund:

  • Apache Cordova 6.4.0
  • Cordova iOS 4.3.0
  • Cordova Android™ 6.0.0
  • Cordova Windows 4.4.3

Softwareondersteuning voor PDF Generator software-support-for-pdf-generator

Product
Ondersteunde indelingen voor conversie naar PDF
Acrobat 2020 het klassieke spoorrecentste versie
XPS, afbeeldingsindelingen (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC), HTML, HTM, DWG, DXF en DWF
Microsoft® Office 2019
DOC, DOCX, XLS, XLSX, PPT, PPTX, RTF en TXT
WordPerfect 2020
WP, WPD
Microsoft® Publisher 2019
PUB
OpenOffice 4.1.10
ODT, ODP, ODS, ODG, ODF, SXW, SXC, SXC, SXD, XLS, XLSX, DOC, DOCX, PPT, PPTX, afbeeldingsindelingen (BMP, GIF, JPEG, JPG, TIF, TIFF, PNG, JPF, JPX, JP2, J2K, J2C, JPC) HTML, , HTM, RTF en TXT
NOTE
PDF Generator ondersteunt alleen de Engelse, Franse, Duitse en Japanse versies van de ondersteunde besturingssystemen en toepassingen.
Daarnaast:
  • PDF Generator ondersteunt alleen de 32-bits versie in de detailhandel van Microsoft® Office Professional Plus en andere software die vereist is voor conversie.
  • PDF Generator biedt geen ondersteuning voor Microsoft® Office 365.
  • PDF Generator-conversies voor OpenOffice worden alleen ondersteund in Windows en Linux®.
  • De functies OCR PDF, Optimize PDF en Export PDF worden alleen in Windows ondersteund.
  • Een versie van Acrobat wordt met AEM Forms gebundeld om de functionaliteit van de PDF Generator in te schakelen. De gebundelde versie zou slechts programmatically met AEM Forms, tijdens de termijn van de vergunning van AEM Forms, voor gebruik met AEM Forms PDF Generator moeten worden betreden. Voor meer informatie, zie het productbeschrijving van AEM Forms zoals per uw plaatsing ( op-Premiseof Managed Services)"
  • PDF Generator-service biedt geen ondersteuning voor Microsoft® Windows 10.
  • PDF Generator kan bestanden niet converteren met Microsoft® Visio 2019.
  • PDF Generator kan bestanden niet converteren met Microsoft® Project 2019.
  • Als een Microsoft® Office-installatie om welke reden dan ook gedeactiveerd of zonder licentie wordt, zoals een installatie met volumelicentie die binnen een bepaalde periode geen KMS-host kan vinden, kunnen conversies mislukken totdat de installatie opnieuw in licentie wordt gegeven en opnieuw wordt geactiveerd.

Uitzonderingen op toegankelijkheidsondersteuning exceptions-to-accessibility-support

De volgende subsystemen van AEM Forms zijn niet 508volgzaam:

  • Aangepaste Forms Authoring UI
  • Gebruikersinterface voor Forms Manager
  • Gebruikersinterface Correspondentenbeheer
  • Admin UI (interface beheerconsole)

Systeemvereisten voor AEM Forms op JEE system-requirements-for-aem-forms-on-jee

Minimale hardwarevereisten minimum-hardware-requirements

Platform
Minimale hardwarevereisten
Microsoft® Windows Server
Intel Xeon® E5-2680, 2.4-GHz processor of equivalent
VMWare ESX 5.1 of hoger
RAM: 6 GB (64-bits besturingssysteem met 64-bits JVM)
vrije schijfruimte: 15 GB tijdelijke ruimte plus 22 GB
voor AEM Forms op JEE
SUSE® Linux® Enterprise Server
Intel Xeon® E5-2670v2, 1 vCPU, 2,5 GHz processor
AWS m3.medium (3 Ecu's)
RAM: 6 GB (64-bits besturingssysteem met 64-bits JVM)
vrije schijfruimte: 6 GB tijdelijke ruimte plus 22 GB
voor AEM Forms op JEE
Red Hat® Enterprise Linux®
Intel Xeon® E5-2670v2, 1 vCPU, 2,5 GHz processor
AWS m3.medium (3 Ecu's)
RAM: 6 GB (64-bits besturingssysteem met 64-bits JVM)
vrije schijfruimte: 6 GB tijdelijke ruimte plus 22 GB
voor AEM Forms op JEE
Hardwarevereisten voor een kleine productieomgeving
  • Intel® aangedreven milieu : Intel Xeon® E5-2680, 2.4 GHz of groter. Het gebruik van een dual core processor zal de prestaties verder verbeteren
  • Geheugen: 4 GB

Zie voor aanvullende vereisten:

Adobe Acrobat en Adobe Reader adobe-acrobat-and-adobe-reader

Acrobat en Adobe Reader (basis)
Ondersteunde patchdefinities
Acrobat 2020 (klassieke track)
Versie 20.004.3006 of hoger
NOTE
De Acrobat DC productfamilie introduceert twee sporen voor zowel Acrobat als Reader die verschillende producten zijn: "Klassiek" en "Doorlopend". Voor details en een vergelijking van de twee sporen, zie https://www.adobe.com/devnet-docs/acrobatetk/tools/AdminGuide/whatsnewdc.html.

Ondersteunde clients voor AEM Forms op JEE supported-clients-for-aem-forms-on-jee

Workbench workbench

Platform
Ondersteunde patchdefinities

Microsoft® Windows® 10 (Enterprise, Pro, Basic)

32-bits of 64-bits versie

Servicepacks en kritieke updates
Microsoft® Windows® 2019 Server (afgekeurd)
Servicepacks en kritieke updates
Microsoft® Windows® 2022 Server
Servicepacks en kritieke updates
  • Schijfruimte voor installatie: 1,7 GB alleen voor Workbench, 2,7 GB op één station voor een volledige installatie van Workbench, Designer en de samplingverzameling 400 MB voor tijdelijke installatiemappen - 200 MB in de map met gebruikerstempels en 200 MB in de tijdelijke map van Windows. Als al deze locaties zich op één station bevinden, moet er tijdens de installatie 1,5 GB aan ruimte beschikbaar zijn. De naar de tijdelijke mappen gekopieerde bestanden worden verwijderd wanneer de installatie is voltooid.

  • Geheugen voor het uitvoeren van Workbench: 2 GB RAM

  • Hardwarevereisten: Intel® Pentium® 4- of AMD®-equivalent, 1-GHz processor

  • Minimale monitorresolutie van 1024 x 768 pixels of hoger met 16-bits kleur of hoger

  • TCP/IPv4- of TCP/IPv6-netwerkverbinding met de AEM Forms op JEE-server

  • U moet over beheerdersrechten beschikken om Workbench in Windows te installeren. Als u een niet-beheerdersaccount installeert, vraagt het installatieprogramma u om de referenties voor een geschikte account.

Designer designer

  • Microsoft® Windows® 2016 Server, Microsoft® Windows® 2019 Server, Microsoft® Windows® 10 of Windows® 11
  • Processor van 1 GHz of sneller met ondersteuning voor PAE, NX en SSE2.
  • 1 GB RAM voor 32-bits of 2 GB RAM voor 64-bits besturingssysteem
  • 16 GB schijfruimte voor 32-bits of 20 GB schijfruimte voor 64-bits besturingssysteem
  • Grafisch geheugen - 128 MB GPU (256 MB aanbevolen)
  • 2,35 GB beschikbare ruimte op de vaste schijf
  • Monitorresolutie van 1024 x 768 pixels of hoger
  • Hardwareversnelling voor video (optioneel)
  • Acrobat Pro DC, Acrobat Standard DC of Adobe Acrobat Reader DC
  • Beheerdersrechten voor het installeren van Designer
  • Microsoft® Visual C++ 2019 (VC 14.28 of hoger) 32-bits runtime

Browsers browsers

Desktops desktops

Browser (basis)
Ondersteuningsniveau
Ondersteunde patchdefinities
Microsoft® Edge (Evergreen)
A: Ondersteund
Servicepacks en -updates
Mozilla Firefox (Evergreen)
A: Ondersteund
Alle updates
Mozilla Firefox ESR
E: Naar verwachting werken
Alle updates
Google Chrome (Evergreen)
A: Ondersteund
Alle updates
Apple Safari op macOS
A: Ondersteund
Alle updates
NOTE
Bepaalde browsergerelateerde uitzonderingen voor desktops zijn als volgt:
  • Safari wordt alleen ondersteund op Macintosh OS X.
  • Workspace biedt ondersteuning voor Safari 5.1 op Macintosh OS X 10.6 en 10.7 met Acrobat DC of latere versies. Voor meer informatie over Safari 5.1 verenigbaarheid met Adobe Reader, Acrobat, zie https://helpx.adobe.com/nl/x-productkb/multi/safari-5-1-incompatible-reader.html.
  • Beheerconsole wordt niet ondersteund in Safari.
  • Correspondence Management biedt geen ondersteuning voor Windows® Internet Explorer 9.0 voor AEM 6.1-formulieren.
  • Forms Portal ondersteunt JAWS 14.0-schermlezersoftware in Internet Explorer 11 voor toegankelijkheid.

Mobiele clients mobile-clients

Browser (basis)
Ondersteunde patchdefinities
Chrome op Android™ 4.1.2 en hoger
Alle updates
Safari op iOS 15.1 en hoger
Alle updates
Microsoft® Edge
Alle updates
Systeemeigen Android™-browser op Android™ 4.4 en hoger
Alle updates
NOTE
  • Forms Portal wordt alleen ondersteund op Safari op iPad.

AEM Forms-app aem-forms-workspace-app

Ondersteuning voor mobiele apparaten mobile-device-support

De AEM Forms-app is beschikbaar op de volgende platforms:

Platform
Ondersteunde Apparaten
Apple iOS
Apple iPhone, iPad, iPad Air en iPad mini met iOS 15.1 en hoger.
Google Android™
Android™ 5.1 en hoger. De AEM Forms-app is gecertificeerd voor Samsung Galaxy-tablets van 7 en 10 inch en voor populaire smartphones.
Microsoft® Windows
Microsoft® Surface devices, tablets, notebooks en desktops met Microsoft® Windows 10 besturingssysteem.

Documentbeveiligingsextensie Adoben voor Microsoft® Office adobe-rights-management-extension-for-microsoft-office

Klik hierom de systeemvereisten voor de Uitbreiding van de Veiligheid van het Document van de Adobe voor Microsoft® Office te zien.

Uitzonderingen op clientondersteuning exceptions-to-client-support

AEM Forms on JEE ondersteunt updates, patches en repareert pakketten boven op de opgegeven primaire en secundaire versie van ondersteunde software. Bijwerken naar de volgende hoofd- of subversie wordt echter alleen ondersteund als dit is opgegeven.

Flardondersteuningsbeleid van derden third-party-patch-support-policy

De softwarevereisten van derden voor AEM Forms op JEE worden beschreven in het gedeelte "Systeemvereisten" van hun respectieve productdocumenten. Heb toegang tot alle documentatie van https://adobe.com/go/learn_aemforms_documentation_65.

AEM Forms op de referentieplatforms van derden van JEE vermeldt het specifieke patchniveau van de infrastructuur van derden dat tijdens de ontwikkeling en release van AEM Forms op JEE actueel was, en van het minimale patchniveau/servicepack van de infrastructuur die door die versie van AEM Forms op JEE wordt ondersteund.

De Adobe steunt dringende of geadviseerde patches die door derdeverkopers op hun versie worden uitgegeven veronderstellend dat derdeverkopers achterwaartse verenigbaarheid met de versies waarborgen die AEM Forms op JEE steun. Adobe biedt alleen ondersteuning voor patches die worden vrijgegeven na het minimale patchniveau dat in de AEM Forms in JEE-documentatie is vermeld.

Soms biedt Adobe geen ondersteuning voor updates van derden die belangrijke functionaliteit wijzigen en dus geen ondersteuning bieden voor volledige achterwaartse compatibiliteit. Voor details op de gesteunde updates, zie Ondersteunde flarddefinitiesvoor specifieke verkopersproducten en de steun van de Adobe van flardtypes.

Onder omstandigheden waarover de Adobe geen controle heeft, kunnen patches van derden die zich beroepen op achterwaartse compatibiliteit, negatieve gevolgen hebben voor de producten van de Adobe of de omgeving van de klant. In dergelijke gevallen raadt de Adobe klanten aan de gevolgen van een noodpatch van een derde te beoordelen voordat ze deze op kritieke systemen toepassen. Adobe werkt met derden samen door redelijke zakelijke inspanningen te leveren om dergelijke problemen op te lossen, hetzij via normale ondersteuningsprogramma's voor Adoben, hetzij door derden die het probleem in hun patch verhelpen. Dit garandeert niet dat een nieuw vrijgegeven patch van derden die door de Adobe wordt ondersteund, werkt zoals beschreven door de leverancier of met AEM Forms op JEE.

De Adobe behoudt zich het recht voor om de derdeverwijzingsplatforms te veranderen die door AEM Forms op JEE versie en hun gesteunde flarddefinities op om het even welk bepaald punt worden gesteund.

Aanvullende informatie voor patches van derden vindt u ook op de website Enterprise Support van de Adobe op artikelen in de kennisdatabase die betrekking hebben op uw product.

Revisie-overzicht revision-history

Release 6.5.19.1 (15 december 2023)

Toegevoegde ondersteuning
Verwijderde ondersteuning
Verouderde ondersteuning
MongoDB Enterprise 6.0
MongoDB Enterprise 4.4
MongoDB Enterprise 5.0

Release 6.5.18.0 (31 augustus 2023)

Toegevoegde ondersteuning
Verwijderde ondersteuning
Verouderde ondersteuning
MongoDB Enterprise 4.4
Windows Server 2016 (64-bits)
Microsoft® Windows Server 2019 (64-bits)
Oracle WebLogic Server 14c
MongoDB Enterprise 4.0
Microsoft® Active Directory 2016
Mijn SQL JDBC-connector 8
Database van het oracle 12c Release 2 (12.2.0.1.0)
Active Directory 2022
MySQL 5.7.35
Microsoft® Windows Server 2022 (64-bits)
Microsoft® SQL Server 2016
JBoss® EAP 7.1.4
My SQL JDBC-connector 5.1.44
Microsoft® SQL Server JDBC-stuurprogramma 6.2.1.0
Microsoft® SQL Server JDBC-stuurprogramma 6.2.2.0
Microsoft® JDBC-stuurprogramma 8.x voor SQL Server
Verwijderde Steun (PDF Generator en in-Algemeen):
Microsoft® Sharepoint 2016
Microsoft® Office 2016
Microsoft® Office Visio 2016
Microsoft® Publisher 2016
Microsoft® Project 2016
OpenOffice 4.1.2
Acrobat 2017 (Classic track) versie 17.011.30078 of hoger

Release 6.5.13.0 (2 juni 2022)

Toegevoegde ondersteuning
Verwijderde ondersteuning
Verouderde ondersteuning
Microsoft® SharePoint 2016

Release 6.5.12.0 (3 maart 2022)

Toegevoegde ondersteuning
Verwijderde ondersteuning
Verouderde ondersteuning
IBM® J9 Virtual Machine (build 2.8, JRE 1.8.0)
MongoDB Enterprise 4.0
Database van oracles 12c, Release 1
MongoDB Enterprise 4.2
Database van oracles 18c
IBM® DB2® 11.1
Oracle Verenigde Folder (OUD) Versie 11g 2
Database van oracles 12c, Release 2
IBM® Lotus Domino 9.0
MySQL 5.7.35
IBM® FileNet 5.2
Microsoft® SQL Server JDBC-stuurprogramma 6.2.1.0
Adobe Flash Player
JBoss® Enterprise Application Platform (EAP) 7.1.4
IBM® Content Manager Server 8.5 Fix Pack 2
IBM® Content Manager Client 8.5
Microsoft® SQL Server 2016
Microsoft® Windows Server 2016

Release 6.5.10.0 (1 september 2022)

Toegevoegde ondersteuning
Verwijderde ondersteuning
Verouderde ondersteuning
Oracle Java™ SE 11 (64-bits) SDK voor toepassingsserver JBoss® EAP 7.4.
Adobe Acrobat 2017 - de steun van de Kern voor Adobe Acrobat 2017 eindigt op 6 juni 2022.
Red Hat® Enterprise Linux® 7 (Kernel 3.x) (64-bits)
Microsoft® Windows Server 2016 (64-bits)
Microsoft® Office 2016
OpenOffice 4.1.2
NOTE
Een vervangen platform blijft ondersteuning ontvangen tot de volgende volledige installateursrelease of tot de ondersteuning van een externe leverancier voor het platform aan het einde van de levensduur is bereikt, afhankelijk van wat eerder is.
19ffd973-7af2-44d0-84b5-d547b0dffee2